[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.DoCopyToClipboard

Copies the field value for the current column and row to the clipboard.

## Declaration

Source position: dbgrids.pas line 431

`protected procedure TCustomDBGrid.DoCopyToClipboard; override;`

## Description

DoCopyToClipboard is an overridden method in TCustomDBGrid used to copy the field value for the selected column and row in the grid to the clipboard. No actions are performed in the method when the linked dataset is not active.

DoCopyToClipboard calls GetFieldFromGridColumn to get the field definition for the current column in the grid. If the field is not Nil (unassigned), the String value for the field is stored to the global Clipboard instance using its AsText method.

DoCopyToClipboard re-implements the method from the ancestor class.